=== debian/changelog ===
sendmail (8.14.4-8+deb8u2) jessie; urgency=medium

  * QA upload.
  * Only touch files as smmsp:smmsp in /var/run/sendmail/stampdir (writable by
    group smmsp) to avoid possible privilege escalation.  (Closes: #841257)
  * Use lockfile-create (from lockfile-progs) instead of touch to manage the
    cronjob lockfiles.
  * sendmail-base: Add Depends: netbase for /etc/services.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 06 Feb 2017 00:16:03 +0100

sendmail (8.14.4-8+deb8u1) jessie; urgency=medium

  * QA upload.
  * Cherry-pick some patches from RHEL 6: RHBA-2015:1299-3
  * sendmail-8.14.4-client-port.patch: sendmail {client_port} not set
    correctly on little endian machines (8.15.1).
  * sendmail-8.14.4-ldap-fix.patch: do not abort with an assertion if the
    connection to an LDAP server is lost (8.14.5).  (Closes: #826120)

 -- Andreas Beckmann <anbe@debian.org>  Thu, 30 Jun 2016 19:44:19 +0200

sendmail (8.14.4-8) unstable; urgency=medium

  * QA upload.
  * Move patches from debian/patches/8.14/8.14.4/ to debian/patches/.
  * Rename the series file to series-quilt since the patches cannot be applied
    by dpkg-source but are applied by quilt after unpacking the tar-in-tar.
  * Fix hyphenation errors in manpages.
  * Remove the m4 step from d/control generation.
  * Convert most of the build process from cdbs to dh. Only unpacking the
    tarball and applying the patches is still done with cdbs.
  * Simplify d/rules.
  * Convert d/copyright to DEP5 style.
  * d/changelog.Debian.8.*: Restore Debian changelogs from sendmail 8.8, 8.9,
    8.12, 8.13 series.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 02 Oct 2014 19:52:50 +0200

sendmail (8.14.4-7) unstable; urgency=medium

  * QA upload.
  * Remove timestamp from bug-script.  (Closes: #749177)
  * libmilter.symbols: Mark shm-specific symbols as linux-any and add the
    !linux-any counterparts.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 25 May 2014 01:37:44 +0200

sendmail (8.14.4-6) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group.  (See: #740070)
  * Add systemd socket activation support for libmilter, thanks to Mikhail
    Gusarov.  (Closes: #741257) (LP: #1322969)
  * Add _FFR_TLS_EC support, thanks to Fredrik Pettai.  (Closes: #740792)
  * Add support for OpenSSL options SSL_OP_NO_TLSv1_1 and SSL_OP_NO_TLSv1_2
    (backported from 8.14.8), thanks to David F. Skoll.  (Closes: #747910)
  * Apply manpage corrections from Ubuntu.  (Closes: #747551)
  * libmilter-assert.patch: Fix an incorrect assertion in libmilter,
    cherry-picked from sendmail 8.14.7.  (LP: #1299571)
  * close_on_exec.patch: Properly set the close-on-exec flag for file
    descriptors before executing mailers, cherry-picked from sendmail 8.14.9.
  * libmilter: Convert into a 'Multi-Arch: same' package.
  * libmilter: Add symbols control file.
  * libmilter-dev: Move static libraries from /usr/lib/libmilter to /usr/lib.
  * Remove outdated documentation and other cruft.
  * Don't re-generate d/changelog during build.
  * Abort build if debian/control got regenerated and differs.
  * Create directories during 'd/rules install' instead of using .dirs.
  * Patch sendmail build system to install libraries.
  * Install files via debian/tmp and use dh_install/dh_installman.
  * Update to Standards-Version: 3.9.5.
  * Update Lintian overrides.  (Closes: #553293)
  * Import ftp://ftp.sendmail.org/pub/sendmail/PGPKEYS ($Revision: 8.46 $,
    $Date: 2014-01-18 00:20:24 $) into debian/upstream/signing-key.pgp.
  * d/watch: Enable PGP signature checking.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 24 May 2014 13:19:14 +0200

sendmail (8.14.4-5) unstable; urgency=low

  * QA upload.
  * Switch from deprecated 'find -perm +xxx' to 'find -perm /xxx'.
    (Closes: #724772)
  * Start sendmail after bind9 (or any other named) if it is installed.
    (Closes: #714184)
  * Update watch file to ignore symbolic links in the ftp directory listing,
    thanks to Masatake YAMATO.  (Closes: #615477)
  * kFreeBSD: Enable HASURANDOMDEV, thanks to Brian M. Carlson.
    (Closes: #366087)
  * Really fix FTBFS on HURD, thanks to Samuel Thibault.  (Closes: #608525)
  * Update logcheck patterns to match high precision timestamps, thanks to
    Ralf Döblitz  (Closes: #638952)
  * conf.c-ipv6.patch: Fix A-only MX CNAME interface binding issues when using
    IPv6, thanks to David F. Skoll.  (Closes: #737164) (LP: #1223633)
  * debian/*/Makefile.am: Recover from Makefile.in.
  * debian/rules: refresh-debian-configure: Refresh all Makefile.in, too.
  * debian/build/: Update automake helper scripts to automake 1.14.
  * debian/configure.ac: Fix libdb-dev autodetection.
  * Simplify managing the bug control files.
  * Let dh_lintian install the overrides.
  * Simplify managing generated control files by placing the templates
    directly in debian/.
  * sendmail-base.postrm: Do not mess with conffiles and other shipped files
    during purge.  (Closes: #736982)
  * Switch to debhelper compat level 9.
  * Use source format 3.0 (quilt).
  * Fix some problems reported by lintian.
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 16 Feb 2014 00:46:55 +0100

sendmail (8.14.4-4.1) unstable; urgency=low

  * QA upload.
  * Fix infinite loop in update_db, thanks to Flo.  (Closes: #717951)
  * Do not ship duplicate sendmail.8 manpage.  (Closes: #709895, #597781)
  * Use [linux-any] instead of hardcoded list.  (Closes: #634378)
  * Fix FTBFS with ld --as-needed, thanks to Firas Kraiem.
    (Closes: #608011, #609606)
  * sendmailconfig: Add missing quoting, thanks to Stuart Sheldon.
    (Closes: #692047)
  * Raise MAXDAEMONS from 10 to 64, thanks to Kees Cook.  (Closes: #720435)
  * Enable all hardening flags, thanks to Simon Ruderich.  (Closes: #687708)
  * Fix FTBFS on HURD, thanks to Samuel Thibault.  (Closes: #608525)
  * Drop obsolete NEWS entries.
  * Use canonical Vcs-* URLs.
  * Fix duplicate and incorrect Section and Homepage settings.

